﻿/* SelectFirstDayTest - Copy.cs
 * part of zaaReloaded2
 * 
 * Copyright 2015 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using f = zaaReloaded2.Formatter;
using zaaReloaded2.Importer.ZaaImporter;
using zaaReloaded2.Controller.Elements;

namespace Tests.Controller.Elements
{
    [TestFixture]
    class SelectLastDayTest
    {
        [Test]
        public void SelectLastDay()
        {
            SelectLastDay element = new SelectLastDay();
            ZaaImporter importer = TestHelpers.ZaaImporterFromResource();
            f.Formatter formatter = new f.Formatter();
            formatter.Laboratory = importer.Laboratory;
            element.Run(formatter);
            // There are two time points of 6-July-2015 in the demo output file,
            // but since they have the exact same time stamps, they are merged
            // into one!
            Assert.AreEqual(1, formatter.WorkingTimePoints.Count);
            DateTime firstDay = new DateTime(2015, 07, 06);
            Assert.AreEqual(firstDay.Date, formatter.WorkingTimePoints.First().Key.Date);
        }
    }
}
